Subject: Re: bug#66806: 30.0.50; [PATCH] 'project-find-regexp' passes Git submodules to the search program

From: Jim Porter <[email-masked]>
Date: Sun, 29 Oct 2023 20:53:23 -0700

On 10/29/2023 7:00 PM, Dmitry Gutov wrote:
> On 30/10/2023 02:58, Jim Porter wrote:
>> (I looked into using the "--stage" argument for "git ls-files", which 
>> gets most of the way to fixing this, but you could break that logic 
>> with evil file names not in the tree...)
> 
> Filtering out gitlinks based on the mode bits? Clever.

Well, it'd be even more clever if it weren't for the issue I mentioned. ;)

> Anyway, I've pushed your latest patch. Thanks! And closing.

Thanks for merging!